/*
								+---------------------------------+
								|                                 |
								|     ***   List manager  ***     |
								|                                 |
								|  Copyright  -tHE SWINe-  2002  |
								|                                 |
								|             List.h              |
								|                                 |
								+---------------------------------+
*/

#ifndef __LIST_MANAGER_INCLUDED
#define __LIST_MANAGER_INCLUDED

struct Vertex_List {
	Vertex **vertex;
	int n_vertex_num;
};

struct Face_List {
	Face **face;
	int n_face_num;
};

// vertexlist
int Init_VertexList(Vertex_List *list);
int Destroy_VertexList(Vertex_List *list);
int FindVertexInList(Vertex *v, Vertex_List *list);
Vertex *AddVertexToList(Vertex *vtx, Vertex_List *list);

// facelist
int Init_FaceList(Face_List *list);
int Destroy_FaceList(Face_List *list);
int Append_FaceList(Face_List *dest_list, Face_List *src_list);
Face *AddFaceToList(Face *face, Face_List *list);

#endif